Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.expr
[Java] Class MapExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.MapExpression

    public class MapExpression
    extends Expression

Represents a map expression [1 : 2, "a" : "b", x : y] which creates a mutable Map

Authors:
  James Strachan

Version:
  \$Revision: 15807 \$

Constructor Summary
`MapExpression()`
`MapExpression(List mapEntryExpressions)`

Method Summary
`void` | `addMapEntryExpression(MapEntryExpression expression)`
`void` | `addMapEntryExpression(Expression keyExpression, Expression valueExpression)`
`List` | `getMapEntryExpressions()`
`String` | `getText()`
`boolean` | `isDynamic()`
`String` | `toString()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Expression
getType, setType, transformExpression, transformExpressions, transformExpressions

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### MapExpression

    public MapExpression()

### MapExpression

    public MapExpression(List mapEntryExpressions)

Method Detail

### addMapEntryExpression

    public void addMapEntryExpression(MapEntryExpression expression)

### addMapEntryExpression

    public void addMapEntryExpression(Expression keyExpression, Expression valueExpression)

### getMapEntryExpressions

    public List getMapEntryExpressions()

### getText

    public String getText()

### isDynamic

    public boolean isDynamic()

### toString

    public String toString()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)

Copyright © 2003-2010 The Codehaus. All rights reserved.